# hey Emacs, its -*- rpm-spec -*-
# $Id: ruby-gnome,v 1.11 2002/10/09 19:16:58 ab Exp $

Name: ruby-gnome
Version: 0.30
Release: alt2
Summary: Ruby extension module for GNOME
Source0: %name-%version.tar.bz2
Patch0: ruby-gnome-type-class-alt.patch
License: GPL
Group: Development/Other
Requires: ruby-stdlibs, gtk+ >= 1.2.0, gnome-libs < 2.0, ruby-gtk, ruby-gdkimlib
AutoReq: yes, noshell

Packager: Alexander Bokovoy <ab@altlinux.ru>

# Automatically added by buildreq on Thu Sep 19 2002
BuildRequires: XFree86-devel XFree86-libs esound-devel gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel libglade-devel libjpeg-devel libpng-devel libruby-devel libxml-devel ruby-stdlibs xpm-devel zlib-devel

%description
Ruby extension module for GNOME

%package -n ruby-gtk
Summary: Ruby extension module for GTK+
License: GPL
Group: Development/Other

%description -n ruby-gtk
Ruby extension module for GTK+

%package -n ruby-gdkimlib
Summary: Ruby extension module for GDK Imlib
License: GPL
Group: Development/Other
Requires: ruby-gtk

%description -n ruby-gdkimlib
Ruby extension library to use GDK Imlib

%package -n ruby-gdkpixbuf
Summary: Ruby extension module for GDK Pixbuf
License: GPL
Group: Development/Other
Requires: ruby-gtk

%description -n ruby-gdkpixbuf
Ruby extension library to use GDK Pixbuf

%prep
%setup -q
%patch0 -p1

%build
ruby extconf.rb --with-X11-lib=/usr/X11R6/lib
%make_build

%install
libdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['libdir']"`
archdir=%buildroot`ruby -rrbconfig -e "puts Config::CONFIG['archdir']"`

make install libdir=$libdir archdir=$archdir
install -d %buildroot%_docdir/%name-%version
install -d %buildroot%_docdir/%name-%version/gdkimlib
install -d %buildroot%_docdir/%name-%version/gdkpixbuf
install -d %buildroot%_docdir/%name-%version/gnome
install -d %buildroot%_docdir/%name-%version/gtk
install -d %buildroot%_bindir
install -m 755 gtk/doc/rbbr.rb %buildroot%_bindir/rbbr
cp -a gdkimlib/ChangeLog gdkimlib/sample %buildroot%_docdir/%name-%version/gdkimlib
cp -a gdkpixbuf/ChangeLog gdkpixbuf/README gdkpixbuf/sample %buildroot%_docdir/%name-%version/gdkpixbuf
cp -a gnome/ChangeLog gnome/README gnome/doc gnome/sample %buildroot%_docdir/%name-%version/gnome
cp -a gtk/BUGS gtk/NEWS gtk/README gtk/ToDo gtk/doc gtk/sample %buildroot%_docdir/%name-%version/gtk

%files -n ruby-gtk
%_bindir/*
%_libdir/ruby/*/*/gtk.so
%dir %_docdir/%name-%version
%_docdir/%name-%version/gtk/*

%files -n ruby-gdkimlib
%_libdir/ruby/*/gdk_imlib.rb
%_libdir/ruby/*/*/gdk_imlib.so
%_docdir/%name-%version/gdkimlib/*

%files -n ruby-gdkpixbuf
%_libdir/ruby/*/gdk_pixbuf.rb
%_libdir/ruby/*/*/gdk_pixbuf.so
%_docdir/%name-%version/gdkpixbuf/*

%files 
%_libdir/ruby/*/gnome.rb
#%_libdir/ruby/*/panel-applet.rb
%_libdir/ruby/*/*/gnome.so
%_libdir/ruby/*/*/lglade.so
%_libdir/ruby/*/*/libart.so
#%_libdir/ruby/*/*/panel_applet.so
%_docdir/%name-%version/gnome/*

%changelog
* Wed Oct 09 2002 Alexander Bokovoy <ab@altlinux.ru> 0.30-alt2
- Changed:
    + Ruby Meta Information Browser (rbbr) also installed as %_bindir/rbbr
      in ruby-gtk package
    + Panel Applet support removed due transition to Gnome2 in Sisyphus

* Thu Sep 19 2002 Stanislav Ievlev <inger@altlinux.ru> 0.30-alt1.1
- rebuild with new XFree86
- added automatic buildreq

* Tue Sep 10 2002 Alexander Bokovoy <ab@altlinux.ru> 0.30-alt1
- 0.30, rename main package to ruby-gnome, split others per-component

* Tue Jul 09 2002 Stanislav Ievlev <inger@altlinux.ru> 0.28-alt1
- 0.28

* Thu Jun 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.25-alt1
- 0.25

* Thu Apr 19 2001 Stanislav Ievlev <inger@altlinux.ru> 0.24-alt1
- Up to 0.24

* Tue Jan 16 2001 AEN <aen@logic.ru>
- RE adaptations

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.23-4mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 0.23-3mdk
- BM + macros

* Sat Mar 25 2000 Pixel <pixel@mandrakesoft.com> 0.23-2mdk
- new group + cleanup

* Mon Feb 14 2000 Pixel <pixel@mandrakesoft.com> 0.23-1mdk
- first release

# end of file

